Subject: Re: linux-next: Tree for July 7

From: Dave Chinner <[email-masked]>
Date: Thu, 15 Jul 2010 12:12:37 +1000

On Wed, Jul 14, 2010 at 05:53:45PM -0700, Andrew Morton wrote:
> On Thu, 15 Jul 2010 10:46:39 +1000 Dave Chinner <[email-masked]> wrote:
> > On Wed, Jul 14, 2010 at 05:27:41PM -0700, Andrew Morton wrote:
> > > On Thu, 15 Jul 2010 09:45:13 +1000 Stephen Rothwell <[email-masked]> wrote:
> > > > Hi Andrew, Al,
> > > > On Wed, 14 Jul 2010 15:20:42 -0700 Andrew Morton <[email-masked]> wrote:
> > > > > Bug is still there.  Reverting ""Make ->drop_inode() just return
> > > > > whether inode needs to be dropped" makes it go away.
> > > > > 
> > > > > Al, please don't just dump crap in linux-next and then ignore bug reports. 
> > > > > People are trying to get work done here.
> > > > 
> > > > I will revert that commit in linux-next today if it is still there (and
> > > > not fixed).
> > > 
> > > Reverting the patch didn't help - the patch moved the BUG_ON() from
> > > generic_delete_inode() into __iput_final().  With the patch reverted
> > > the kernel still goes BUG over the same test in generic_delete_inode().
> > > 
> > > It could be that the bug was caused by fs-writeback.c changes.  David,
> > > do you have time to take a look at this?
> 
> > What filesystem(s) are you seeing this on?
> 
> ext3 at least.
> 
> > Any particular workload that triggers it?
> 
> Booting FC6 :( I get an enormous storm of these things.
> 
> whee, progress!
> 
> With Rusty's patch for the modules bug, and reverting Greg
> Vandal-Hartman's "driver core: remove CONFIG_SYSFS_DEPRECATED" and
> deleting the BUG_ON from generic_delete_inode(), I have a login prompt!
> Admittedly I don't have any networking any more, but that seems a
> minor quibble.

I just booted an unmodified current linux-next tree with my standard
config and it's come up on an ext3 root and running xfsqa on XFS
without any problems so far. I'm going to try your config from your
original bug report and see if that generates the problem...

Cheers,

Dave.
-- 
Dave Chinner
[email-masked]